Outerra forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Outerra Tech Demo download. Help with graphics driver issues

Author Topic: Cannot start the newly downloaded Outerra-Anteworld  (Read 855 times)

tMH

  • Newbie
  • Posts: 3
Cannot start the newly downloaded Outerra-Anteworld
« on: May 08, 2017, 01:22:01 pm »

Hello everyone!
I got 17.* version, trying to run it - game is checking its updates, getting some .wads , and then I see this:

I understand my video system is a little bit old - 260GTX, but..
Can someone tell me is this a problem with old video card, or with something else ?
-tMH
Logged

cameni

  • Brano Kemen
  • Outerra Administrator
  • Hero Member
  • *****
  • Posts: 6347
  • Pegs is clever, but tae hain’t a touch sentimental
    • outerra.com
Re: Cannot start the newly downloaded Outerra-Anteworld
« Reply #1 on: May 09, 2017, 03:51:43 am »

Yes it's a bug in Nvidia drivers for old graphics cards, and unfortunately that driver part is no longer updated with new driver releases. We periodically work around it but it always quickly breaks again ...
Logged

eddie

  • Newbie
  • Posts: 2
Re: Cannot start the newly downloaded Outerra-Anteworld
« Reply #2 on: June 09, 2017, 04:14:01 am »

Hello !

I am in a very similar situation :

trying to run the demo under wine, on a x64 fedora linux machine, with an old GTS 250 Nvidia card. My driver is the latest that Nvidia released for my platform : 340.102

Everything looks smooth first :  the demo dowloaded several patches and restarted, then it downloaded data files,   I could see the stars and a 3D spinning earth behind the "initializing world" message ( so It seems wine is willing to play nicely with opengl ) until I hit the same error as reported by the OP :

Code: [Select]
00:18.113 ERROR: error compiling the program `objshaders'
0(2890) : error C7011: implicit cast from "int" to "uint"
0(2892) : error C7011: implicit cast from "int" to "uint"
0(2896) : error C7011: implicit cast from "int" to "uint"

00:18.114 ERROR: OpenGL error: shader compilation failed (: objshaders)

While I suppose you do not really support Wine issues, it does not seem to be wine related, but rather due to the driver being outdated as you said.

Do you have plans to release a new workaround ? It would be really nice to be able to see this working under wine !
Or, is there a way to test a previous version where the bug wasn't triggered ? Like preventing the demo to patch further than the version that worked ?

Thank you anyways for the amazing work !!
Logged

cameni

  • Brano Kemen
  • Outerra Administrator
  • Hero Member
  • *****
  • Posts: 6347
  • Pegs is clever, but tae hain’t a touch sentimental
    • outerra.com
Re: Cannot start the newly downloaded Outerra-Anteworld
« Reply #3 on: June 09, 2017, 04:20:41 am »

What OT version does it print in the log? We tested it on old NV cards a while ago, but these things reappear easily. Also not sure if it's going to work as there are now some tessellation shaders that should not be active unless you enable spherical projection, but they may still cause some shader issues ...
Logged

eddie

  • Newbie
  • Posts: 2
Re: Cannot start the newly downloaded Outerra-Anteworld
« Reply #4 on: June 09, 2017, 04:25:50 am »

What OT version does it print in the log? We tested it on old NV cards a while ago, but these things reappear easily. Also not sure if it's going to work as there are now some tessellation shaders that should not be active unless you enable spherical projection, but they may still cause some shader issues ...

logs say :

Code: [Select]
current version 17.0.2.8079
EDIT : added eng.log file

« Last Edit: June 09, 2017, 04:30:46 am by eddie »
Logged

HeavensDisciples

  • Newbie
  • Posts: 1
Re: Cannot start the newly downloaded Outerra-Anteworld
« Reply #5 on: October 23, 2017, 12:46:01 am »

I have the same issue:

eng.log:
Code: [Select]
00:59.733 INFO: downloading earth2/_cvd/-y/0-0-0.1.wad
00:59.733 INFO: downloading earth2/-y/0-0-0.2.wad
01:01.251 WARNING: Cannot find sRGB pixelformat for PF_RGTC1
01:01.434 ERROR: timeout while waiting for env terrain refinement
01:03.872 INFO: downloading earth2/_trm/+z/0-0-0.0.wad
01:05.097 ERROR: timeout while waiting for env terrain refinement
01:05.915 INFO: downloading earth2/_bio/+z/0-0-0.8.wad
01:06.796 ERROR: timeout while waiting for env terrain refinement
01:08.512 ERROR: timeout while waiting for env terrain refinement
01:09.284 INFO: downloading earth2/_cvd/+z/0-0-0.1.wad
01:10.411 ERROR: timeout while waiting for env terrain refinement
01:11.829 INFO: downloading earth2/+z/0-0-0.3.wad
01:12.127 ERROR: timeout while waiting for env terrain refinement
01:13.442 ERROR: error compiling the program `objshaders'
ERROR: 0:2824: 'varying' : cannot be bool

 
01:13.444 ERROR: OpenGL error: shader compilation failed (: objshaders)
01:13.451 ERROR: Fatal error: exception: OpenGL error: shader compilation failed (: objshaders)
Logged

JackTheWhite

  • Newbie
  • Posts: 1
Re: Cannot start the newly downloaded Outerra-Anteworld
« Reply #6 on: November 15, 2017, 07:51:44 am »

Hello everyone!
I got 17.* version, trying to run it - game is checking its updates, getting some .wads , and then I see this:

I understand my video system is a little bit old - 260GTX, but..
Can someone tell me is this a problem with old video card, or with something else ?
-tMH

this makes me sad my graphic cards might be older but they are good cards Nvidia Quadro FX 5800 4gb and a k600 physx card I got 48 gbs of ram and 2 dual quad cores 16 cores total..I was really looking forward to trying this software. well follow forms to see if there is a fix later..
Logged